Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 11/23/2022 in all areas

  1. if their are going to be multiple results use the following. (while (< (sslength SS) 0) (command "ZOOM" "OB" (ssname ss 0)) ;BricsCAD use OB for object O for out (command pause) ;allows user to see what was zoom to enter/right click to continue to next text (ssdel (ssname ss 0) ss) )
    2 points
  2. Depending on your LISP ability and how you want to search for the text: This link and offering from RonJon will find your text string (https://forums.autodesk.com/t5/visual-lisp-autolisp-and-general/find-text-lsp/td-p/9272343 (setq ss (ssget "X" (list '(0 . "*TEXT")(cons 1 str)(cons 410 (getvar "ctab"))))) str being the string to search for, This can have a wildcard * character in it something like (setq str "*my string*") Then you can use "Zoom" "Object" something like (command "ZOOM" "OB" (ssname ss 0) "") to zoom to it (this will zoom to the first instance of the text string that it finds if there are more than 1 in the drawing). You might want to do an additional zoom to zoom into the text depending how close you want to be to it Should be able to put that together?
    2 points
  3. Steven P Thanks. The routine in the indicated link totally solves what I need. Thank you both for your attention.
    1 point
  4. 1 point
  5. think the real fun starts when rev's are not plain ABC but AA, AB or even A1 / 1A whatever
    1 point
  6. You have to OPEN DWG 1st so the script has something to work on. Open dwg1 (command "_.-insert" "BLOCK_NAME=C:/Users/BLOCK_NAME" "y" (command)) (command "_.attsync" "n" "BLOCK_NAME") _.qsave _.close Open dwg2 (command "_.-insert" "BLOCK_NAME=C:/Users/BLOCK_NAME" "y" (command)) (command "_.attsync" "n" "BLOCK_NAME") _.qsave _.close Open dwg3 (command "_.-insert" "BLOCK_NAME=C:/Users/BLOCK_NAME" "y" (command)) (command "_.attsync" "n" "BLOCK_NAME") _.qsave _.close
    1 point
  7. It sounds like you're trying to run before you even know how to walk. You're jumping into 3D without any knowledge of how to draw simple shapes in 2D. You should look for some tutorials on Youtube to learn the basics of drawing in 2D. Below is an illustration to show how I created the brush head. After you draw all the lines and arcs, you can use the PEDIT command to join all the lines and arcs into a single Polyline. Once you have the Polyline, you can EXTRUDE it to create the 3DSolid. Question: If you're a beginner, why do you have a deadline? Is this a school project?
    1 point
  8. Ok, here's my toothbrush. It took about 30 minutes. It's all pretty straightforward modeling operations. The only tricky part was the transition piece connecting the head to the shaft. For the shaft, I drew the profile and Revolved it. For the head, I drew the outline and then extruded it up a little. Then I put a Fillet radius around the bottom edge. Then I Mirrored it and Unioned both pieces together. For the brush, I just created a bunch of cylinders and arranged them on the head. Then I Unioned them all together. Then I created the two large cylinders and subtracted them from the brush cylinders. The transition piece was tricky, like I said, but I was able to create it with a Loft. The only problem is the Loft creates a surface, not a solid, and Autocad refuses to convert the surface to a solid, so the head, the shaft and the transition piece are all separate parts. I don't know if any of that helps, but give it a try and see how far you can get. By the way, I have moved this thread to the Autocad 3D Modeling section: https://www.cadtutor.net/forum/forum/14-autocad-3d-modelling-amp-rendering/
    1 point
  9. Another approach that might be easier for a beginner would be to draw half the profile and then revolve it.
    1 point
  10. If you're a beginner with AutoCAD, I would take a look at these tutorials to get your head around the basics: https://www.cadtutor.net/tutorials/autocad/index.php?category_id=25 Once you've done that, take a look at the Loft command here: https://www.educba.com/loft-in-autocad/ You can probably create the bulk of this object with Loft.
    1 point
×
×
  • Create New...